class MMGeocoder
  require 'json'
  require 'MMLocation'
  require 'MMAddress'

  def self.geocode( address )
    if address.nil?
      return
    end
    path_str = '/API/geocode/1.2/'+MM_CLIENT_NAME+'?output=json'+address.toGeocodeQueryString
    print MM_HOST_NAME+"\n"
    print "\-> "+path_str+"\n"
    res = Net::HTTP.start( MM_HOST_NAME, 80 ) { |http|
      http.get(path_str)
    }
    json = JSON.parse( res.body )
    if json["error_code"] and json["error_code"] != "" and json["error_code"] != "MM_GEOCODE_MULTIPLE_MATCHES"
      return json["error_code"]
    end
    if json["result_set"]
      results = []
      json["result_set"].each do |r|
        l = MMLocation.new
        l.fromJSON( r )
        results.push( l )
      end
    end
    return results
  end
end
